> ## Documentation Index
> Fetch the complete documentation index at: https://developers.myhero.so/llms.txt
> Use this file to discover all available pages before exploring further.

# List your event subscriptions



## OpenAPI

````yaml get /subscription
openapi: 3.1.0
info:
  title: HERO API
  version: current
  description: |-
    The HERO REST API.

    See https://developers.myhero.so for the rendered docs.
servers:
  - url: https://app.myhero.so
security: []
paths:
  /subscription:
    get:
      tags:
        - Subscriptions
      summary: List your event subscriptions
      operationId: listWebhookSubscriptions
      responses:
        '200':
          description: 200 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        _id:
                          type: string
                        event:
                          type: string
                          enum:
                            - row.created
                            - row.updated
                            - row.deleted
                            - cell.changed
                            - clause.added
                            - clause.edited
                            - clause.deleted
                            - term.defined
                            - term.removed
                            - signature.signed
                            - document.fullySigned
                            - document.signaturesVoided
                            - document.created
                            - document.updated
                            - document.moved
                            - document.published
                            - document.duplicated
                            - document.deleted
                            - document.renamed
                            - document.newVersion
                            - document.restoreVersion
                            - workspace.memberJoined
                            - workspace.memberLeft
                            - document.collaboratorAdded
                            - document.collaboratorRemoved
                            - table.created
                            - table.deleted
                            - column.added
                            - column.deleted
                            - project.created
                        targetUrl:
                          type: string
                          format: uri
                        workspaceId:
                          type: string
                        projectIds:
                          type: array
                          items:
                            type: string
                        tableIds:
                          type: array
                          items:
                            type: string
                        createdAt:
                          type: number
                        lastDeliveredAt:
                          type: number
                        failureCount:
                          type: number
                        isDisabled:
                          type: boolean
                      required:
                        - _id
                        - event
                        - targetUrl
                        - workspaceId
                        - createdAt
                        - failureCount
                required:
                  - data
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: HERO personal access token

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.